version: '3.9'

services:
  postgres:
    image: postgres:latest
    container_name: postgres_container
    environment:
      POSTGRES_USER: ADMIN
      POSTGRES_PASSWORD: 123123
      POSTGRES_DB: sonoma-db
    ports:
      - "5432:5432"
    volumes:
      - pgdata:/var/lib/postgresql/data/pgdata
    restart: unless-stopped
    tty: true
    stdin_open: true

volumes:
  pgdata: